/*
 * RTC.h
 *
 *  Created on: 14 janv. 2019
 *      Author: e_rcluze
 */

#ifndef RTC_H
#define RTC_H

#include <stdint.h>

#include "RTC_ADD.h"

typedef struct {

	uint8_t second;
	uint8_t minute;
	uint8_t heure;
	uint8_t jour;
	uint8_t mois;
	uint8_t annee;

}Date;

void readRTC(uint8_t add, uint8_t *tab, int len);

void writeRTC(uint8_t add, uint8_t *tab, int len);

uint8_t readMinute();

uint8_t readHeure();

void readDate(Date *date);

void redemareRTC();

#endif /* RTC_H */
